ビデオと素材

マテリアルアセットグループの作成

Seedanceバーチャルアバターのマテリアルグループを作成します。

POST
/v1/videos/assets/groups

library_type: "aigc_avatar" のマテリアルグループを作成します。このエンドポイントは、実在人物の認証を必要としないバーチャルアバター、製品、スタイル、およびその他の再利用可能な参照用に使用してください。

新しい実在人物のマテリアルグループは、ビジュアル確認セッションの作成を通じて作成されるため、このエンドポイントから直接作成することはできません。

project_name は認証済み組織内のリソースを分離します。デフォルトは default です。関連するグループと素材には、大文字と小文字を区別した同じ値を使用してください。POST/PUT では JSON ボディ、GET/DELETE ではクエリに指定します。

リクエスト例

curl https://api.tokenlab.sh/v1/videos/assets/groups \
  -H "Authorization: Bearer $TOKENLAB_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"library_type":"aigc_avatar","group_name":"Product references","description":"Reusable product shots","project_name":"default"}'

レスポンス例

{
  "id": "group-20260720123456-vrt01",
  "object": "seedance.material_asset_group",
  "project_name": "default",
  "library_type": "aigc_avatar",
  "group_name": "Product references",
  "description": "Reusable product shots",
  "status": "ACTIVE",
  "metadata": null,
  "created_at": 1782998400000
}
curl -X POST "https://example.com/v1/videos/assets/groups" \  -H "Content-Type: application/json" \  -d '{    "library_type": "aigc_avatar",    "group_name": "Product references",    "description": "再利用可能な製品ショット"  }'
{  "id": "group-20260720123456-vrt01",  "object": "seedance.material_asset_group",  "library_type": "aigc_avatar",  "group_name": "Product references",  "description": "再利用可能な製品ショット",  "status": "ACTIVE",  "metadata": null,  "created_at": 1782998400000}

認証

BearerAuth
AuthorizationBearer <token>

APIキー認証。Dashboard > API > API KeysでAPIキーを作成または管理します。

場所: header

リクエストボディ

application/json

レスポンス

application/json

application/json

application/json

application/json

application/json

application/json